%define upstream_name    CPAN-Meta-Check
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Verify requirements in a CPAN::Meta object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta) >= 2.120.920
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.920
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module verifies if requirements described in a CPAN::Meta object are
present.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 531112
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 462104
- update to 0.007

* Sat Jul 27 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 459066
- update to 0.006

* Mon Jun 10 2013 jquelin <jquelin> 0.5.0-1.mga4
+ Revision: 441479
- update to 0.005

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 363612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 268053
- adding missing buildrequires:
- imported package perl-CPAN-Meta-Check


* Thu Jul 05 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
